
{{init-component}}
<section class="header">
    <div class="row">
        <div class="col-xs-12 col-sm-8">
            {{#link-to "projects" class='header__logo'}}DevTeam.Space{{/link-to}}
        </div>
        <div class="col-xs-12 col-sm-4 text-right">
            {{#if user.isSuperAdmin}} {{#link-to "administrate" class='underline'}}Administrate{{/link-to}} | {{/if}} {{#link-to "projects" class='underline'}}Projects{{/link-to}} | <a {{action 'logOut'}} class="underline">Logout</a>
        </div>
    </div>
</section>
	<div class="row">
    <div class="col-md-6 col-md-offset-3 text-center">
        {{#if user.isCustomer}} <button {{action 'newProject'}} class="btn btn-success circle btn-lg btn-block">New</button>{{/if}}
    </div>
</div>
<br>
<div class="row">
	{{#each user.sortedProjects as |project|}}
    {{#link-to 'dashboard' project class="hoverBlock col-md-6 col-md-offset-3 feed-bg text-center"}}
		{{#unless project.isNew}}
				<h4 class=""><strong >{{project.title}}</strong></h4>
				<p class="hideString">{{project.description}}</p>
		{{else}}
				<div>
					<h4><strong>New project</strong></h4>
					<p>Click on this card and share a bit more information about your project</p>
				</div>
		{{/unless}}
				
		<div class="row project-form-info">
			<div class="col-xs-6 text-right border-r">
				<p>Status</p>
				<p>Completion Date</p>
				<p>Blockers</p>
			</div>
			<div class="col-xs-6 text-left">
				<p>{{project.statusField}}</p>
				<p>{{project.deadline}}</p>
				<p><span class="progectStatus {{project.blockers}}"></span></p>
			</div>
		</div>		
	{{/link-to}}
	{{/each}}
</div>